#### buffer (10 of 42 overloads)

Create a new non-modifiable buffer that represents the given POD array.

    template<
        typename PodType,
        std::size_t N>
    const_buffer buffer(
        const PodType((&data)[N],
        std::size_t max_size_in_bytes);

###### Return Value

A `const_buffer` value equivalent to:

    const_buffer(
       static_cast<const void*>(data),
       min(N * sizeof(PodType), max_size_in_bytes));